org.keycloak.protocol

## Enum LoginProtocol.Error

- java.lang.Object
- - java.lang.Enum<LoginProtocol.Error>
  - - org.keycloak.protocol.LoginProtocol.Error

- All Implemented Interfaces:
    Serializable, Comparable<LoginProtocol.Error>
  Enclosing interface:
    LoginProtocol

      public static enum LoginProtocol.Error
      extends Enum<LoginProtocol.Error>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED_AIA` Applications-initiated action was canceled by the user
    `CANCELLED_AIA_SILENT` Applications-initiated action was canceled by the user.
    `CANCELLED_BY_USER` Login cancelled by the user
    `CONSENT_DENIED` Consent denied by the user
    `PASSIVE_INTERACTION_REQUIRED` Passive authentication mode requested, user is logged in, but some other user interaction is necessary (eg.
    `PASSIVE_LOGIN_REQUIRED` Passive authentication mode requested but nobody is logged in

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoginProtocol.Error` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoginProtocol.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCELLED_BY_USER

          public static final LoginProtocol.Error CANCELLED_BY_USER

      Login cancelled by the user

    - #### CANCELLED_AIA

          public static final LoginProtocol.Error CANCELLED_AIA

      Applications-initiated action was canceled by the user

    - #### CANCELLED_AIA_SILENT

          public static final LoginProtocol.Error CANCELLED_AIA_SILENT

      Applications-initiated action was canceled by the user. Do not send error.

    - #### CONSENT_DENIED

          public static final LoginProtocol.Error CONSENT_DENIED

      Consent denied by the user

    - #### PASSIVE_LOGIN_REQUIRED

          public static final LoginProtocol.Error PASSIVE_LOGIN_REQUIRED

      Passive authentication mode requested but nobody is logged in

    - #### PASSIVE_INTERACTION_REQUIRED

          public static final LoginProtocol.Error PASSIVE_INTERACTION_REQUIRED

      Passive authentication mode requested, user is logged in, but some other user interaction is necessary (eg. some required login actions exist or Consent approval is necessary for logged in user)

  - ### Method Detail

    - #### values

          public static LoginProtocol.Error[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoginProtocol.Error c : LoginProtocol.Error.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoginProtocol.Error valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.